import * as dotenv from 'dotenv'
const NODE_ENV = process.env.NODE_ENV || 'development'

dotenv.config()
let path
switch (process.env.NODE_ENV) {
  case 'test':
    path = `${__dirname}/../../.env.development`
    break
  case 'production':
    path = `${__dirname}/../../.env.production`
    break
  default:
    path = `${__dirname}/../../.env.development`
}
dotenv.config({ path: path, debug: NODE_ENV === 'development' })
let baseConfig = {
  api: {
    port: parseInt(process.env.API_PORT),
    host: process.env.API_HOST,
    token_secret: process.env.API_TOKEN_SECRET,
    token_expiresIn: process.env.API_TOKEN_EXPIRESIN,
  },
  file: {
    port: parseInt(process.env.FILE_PORT),
    host: process.env.FILE_HOST,
    token_secret: process.env.FILE_TOKEN_SECRET,
    token_expiresIn: process.env.FILE_TOKEN_EXPIRESIN,
    upload_location: process.env.FILE_UPLOAD_LOCATION,
    show_url: process.env.FILE_SHOW_URL,
  },
  admin: {
    port: parseInt(process.env.ADMIN_PORT),
    token_secret: process.env.ADMIN_TOKEN_SECRET,
    token_expiresIn: process.env.ADMIN_TOKEN_EXPIRESIN,
  },
  db_main: process.env.DB_MAIN,
  db_second: process.env.DB_SECOND,
  redis: process.env.REDIS,
  susuHost: process.env.SUSU_HOST,
}

export default baseConfig
